// Reference: http://www.instructables.com/id/Control-RGB-LED-with-arduino-and-Processing/
// Modified: C. D'Arcy 2015 11 01
import processing.serial.*;

PImage img;  
Serial myPort;
boolean firstTime = true;

void setup() {

  //this is the name of your image file saved in the data folder in your
  //processing folder see processing.org for help
  img = loadImage("colorbars.jpg");
  //the [0] may be [another number] on your computer
  myPort = new Serial(this, Serial.list()[0], 9600);

  //set the canvas to the size of the image
  size(img.width, img.height);
}

void draw() {
  if (firstTime) {
    println("Do this only once...");
    image(img, 0, 0);
    img.loadPixels();    
  }
  firstTime = false;
}

void mousePressed() 
{
  int offset  = mouseX+mouseY*img.width;
  myPort.write(int(red(img.pixels[offset])));
  myPort.write(int(green(img.pixels[offset]))); 
  myPort.write(int(blue(img.pixels[offset])));
}

